<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$fechas = DataForms::GET('id');
  if($fechas != 'ver'){
		$fec = explode(";",$fechas);
		$ini = $fec[0];
		$fin = $fec[1];
  }

$title = 'Reportes de Ventas por Fechas';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:green;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<div class="row" style='width:97%' align='left'>
											<div class="col-sm-12" align='right'>
												<h2>Filtrar por Fechas</h2>
												<?php if($fechas == 'ver'){ ?>
													<b>Fecha Inicio: </b><input value='<?php echo date("Y-m").'-01'; ?>' type="date" id='txtFecha1' class="btn btn-primary">
													<b>Fecha Final: </b> <input value='<?php echo date("Y-m").'-30'; ?>' type="date" id='txtFecha2' class="btn btn-primary">									 
												<?php }else{ ?>
													<b>Fecha Inicio: </b><input value='<?php echo $ini; ?>' type="date" id='txtFecha1' class="btn btn-primary">
													<b>Fecha Final: </b> <input value='<?php echo $fin; ?>' type="date" id='txtFecha2' class="btn btn-primary">	
												<?php } ?>																																		
											</div>																																					
										</div>	
										
											<?php
											$db = new DB();
											$Productos = new DB();
											$Usuarios = new DB();
											if($fechas=='ver'){
												$sql = "";/*"SELECT * FROM ventas_productos 
												WHERE clie_codigo <>'vacio'
												AND ven_fecha BETWEEN '".date("Y-m").'-01'."%' AND '".date("Y-m").'-30'."%' 
												GROUP BY ven_codigo ORDER BY ven_fecha DESC;";	
												*/
											}else{
												$sql = "SELECT * FROM ventas_productos 
												WHERE clie_codigo <>'vacio'
												AND ven_fecha BETWEEN '".$ini." 00:00:00%' AND '".$fin." 23:59:59%' 
												GROUP BY ven_codigo ORDER BY ven_fecha DESC;";		
											}	
											$db->dbSQL($sql);
											$html='';											
											$i=0;
											while($db->next()){						
											$i++;	
											$total=0;	

											//Numero de listas
											$NumeroLista = $db->dbField('ven_numerolista');
											$html.='<h3>Lista N&ordm;:'.$NumeroLista.'</h3><hr>';	
											$html.='<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>				
													<th width="1%">fecha</th>
													<th>descripci&oacute;n</th>
													<th>cliente</th>
													<th>cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>';

												$ven_codigo = $db->dbField('ven_codigo');
												$clie_codigo = $db->dbField('clie_codigo');
												$us_id = $db->dbField('us_id');												
												$ven_fecha = $db->dbField('ven_fecha');
												
												//Conocer que productos se vendieron segun codigo de venta
												$sqlProductos = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, 
																		ventas_productos ven, inventarios_clientes clie
												WHERE prod.ubica_codigo = ubi.ubica_codigo
												AND ven.prod_codigo = prod.prod_codigo
												AND clie.clie_codigo = ven.clie_codigo
												AND ven.ven_codigo = '$ven_codigo';";
												$Productos->dbSQL($sqlProductos);
												while($Productos->next()){			
																										

													//ubicaciones												
													$ubica_codigo = $Productos->dbField('ubica_codigo');
													$ubica_nombre = $Productos->dbField('ubica_nombre');
													$ubica_color = $Productos->dbField('ubica_color');
													//productos
													$prod_item = $Productos->dbField('prod_item');
													$prod_codigo = $Productos->dbField('prod_codigo');
													$prod_nombre = $Productos->dbField('prod_nombre');
													//$prod_foto = $Productos->dbField('prod_foto');
													$prod_piezascaja = $Productos->dbField('prod_piezascaja');
													//$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
													$prod_preciounitario = $Productos->dbField('prod_preciounitario');
													$prod_preciodocena = $Productos->dbField('prod_preciodocena');
													$prod_preciocajadocena  = $Productos->dbField('prod_preciocajadocena');		
													//clientes						
													$clie_codigo = $Productos->dbField('clie_codigo');
													$clie_cinit = $Productos->dbField('clie_cinit');
													$clie_nombres = $Productos->dbField('clie_nombres');
													$clie_apellidos = $Productos->dbField('clie_apellidos');
													$clie_destino = $Productos->dbField('clie_destino');
													$clie_celular = $Productos->dbField('clie_celular');
													$clie_tipopago = $Productos->dbField('clie_tipopagonombre');
													$clie_descuento = $Productos->dbField('clie_descuento');
													//$clie_personarecoge = $Productos->dbField('clie_personarecoge');
													
													//ventas
													$ven_tipo = $Productos->dbField('ven_tipo');
													$ven_precio = $Productos->dbField('ven_precio');													
													$ven_cantidad = $Productos->dbField('ven_cantidad');

													switch($ven_tipo){
														case '1' : $tipo = 'Unidad'; 
														$precio = $prod_preciounitario;
														$piezas = 1;
														$unicaja = 'unidades';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '2' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja*12;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													case '3' : $tipo = 'Caja Docena'; 
														$precio = $prod_preciocajadocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'cajas';
														$cantidades = $ven_cantidad*$piezas;
														$precios = number_format(($precio/$piezas),2);
													break;
													case '4' : $tipo = 'Docena'; 
														$precio = $prod_preciodocena;
														$piezas = $prod_piezascaja;
														$unicaja = 'unidades';														
														$cantidades = $ven_cantidad;
														$precios = number_format(($precio),2);
													break;
													}
													$total = $total + $ven_precio;
													
													$html.='<tr>';													
													$html.='<td>'.FechaGlobal($ven_fecha).'</td>';												
													$html.='<td><b>'.$prod_nombre.'</b><br>
													 		<small><b>Item: </b>'.$prod_item.'</small><br>
															<small><b>Ubicaci&oacute;n: <span style="background:'.$ubica_color.';padding:3px 7px;">'.$ubica_nombre.'</span></b></small></td>';													
													$html.='<td>'.$clie_nombres.' '.$clie_apellidos.'</td>';													
													$html.='<td align=right>'.$ven_cantidad.' '.$unicaja.'</td>';
													$html.='<td align=right>'.($cantidades).'</td>';
													$html.='<td align=right>'.$precios.'</td>';
													$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';													
												$html.='</tr>';	
												}//wend $Productos()		
												
												$html.= '<tr><td colspan=7 align=right><h3>Total Parcial: Bs. '.number_format($total,2).'</h3></td></tr>';											
												$html.= '<tr><td colspan=7 align=right><h3>Descuento: Bs. '.number_format($clie_descuento,2).'</h3></td></tr>';
												$html.= '<tr><td colspan=7 align=right><h3><b>Subtotal menos Descuento: Bs. '.number_format(($total-$clie_descuento),2).'</b></h3></td></tr>
												</tbody></table>';
											
											}//wend() 

											
											echo utf8_encode($html);
											?>													
											
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#cmbCiudades').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'eventos/' ?>"+codegen;
});

$('#txtFecha2').change(function(){
	let fecIni = $('#txtFecha1').val();
	let fecFin = $(this).val();

	self.location="<?php echo PATH_HOME.'reportes/';?>"+fecIni+';'+fecFin;
});
</script>